--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: This module provides frequently used functors.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: Id
  value: proc {|x|x}
- !ruby/object:RI::Constant 
  comment: 
  name: Idn
  value: proc {|*x|x}
- !ruby/object:RI::Constant 
  comment: 
  name: Neg
  value: proc {|x|-x}
- !ruby/object:RI::Constant 
  comment: 
  name: Inc
  value: proc {|x|x+1}
- !ruby/object:RI::Constant 
  comment: 
  name: Dec
  value: proc {|x|x-1}
- !ruby/object:RI::Constant 
  comment: 
  name: Plus
  value: proc {|x,y|x+y}
- !ruby/object:RI::Constant 
  comment: 
  name: Minus
  value: proc {|x,y|x-y}
- !ruby/object:RI::Constant 
  comment: 
  name: Mul
  value: proc {|x,y|x*y}
- !ruby/object:RI::Constant 
  comment: 
  name: Div
  value: proc {|x,y|x/y}
- !ruby/object:RI::Constant 
  comment: 
  name: Mod
  value: proc {|x,y|x%y}
- !ruby/object:RI::Constant 
  comment: 
  name: Power
  value: proc {|x,y|x**y}
- !ruby/object:RI::Constant 
  comment: 
  name: Not
  value: proc {|x,y|!x}
- !ruby/object:RI::Constant 
  comment: 
  name: And
  value: proc {|x,y|x&&y}
- !ruby/object:RI::Constant 
  comment: 
  name: Or
  value: proc {|x,y|x||y}
- !ruby/object:RI::Constant 
  comment: 
  name: Xor
  value: proc {|x,y|x^y}
- !ruby/object:RI::Constant 
  comment: 
  name: BitAnd
  value: proc {|x,y|x&y}
- !ruby/object:RI::Constant 
  comment: 
  name: Union
  value: proc {|x,y|x|y}
- !ruby/object:RI::Constant 
  comment: 
  name: Match
  value: proc {|x,y|x=~y}
- !ruby/object:RI::Constant 
  comment: 
  name: Eq
  value: proc {|x,y|x==y}
- !ruby/object:RI::Constant 
  comment: 
  name: Ne
  value: proc {|x,y|x!=y}
- !ruby/object:RI::Constant 
  comment: 
  name: Lt
  value: proc {|x,y|x<y}
- !ruby/object:RI::Constant 
  comment: 
  name: Gt
  value: proc {|x,y|x>y}
- !ruby/object:RI::Constant 
  comment: 
  name: Le
  value: proc {|x,y|x<=y}
- !ruby/object:RI::Constant 
  comment: 
  name: Ge
  value: proc {|x,y|x>=y}
- !ruby/object:RI::Constant 
  comment: 
  name: Compare
  value: proc {|x,y|x<=>y}
- !ruby/object:RI::Constant 
  comment: 
  name: Call
  value: proc {|x,y|x.call(y)}
- !ruby/object:RI::Constant 
  comment: 
  name: Feed
  value: proc {|x,y|y.call(x)}
- !ruby/object:RI::Constant 
  comment: 
  name: Fst
  value: proc {|x,_|x}
- !ruby/object:RI::Constant 
  comment: 
  name: Snd
  value: proc {|_, x|x}
- !ruby/object:RI::Constant 
  comment: 
  name: At
  value: proc {|x,y|x[y]}
- !ruby/object:RI::Constant 
  comment: 
  name: To_a
  value: proc {|x|x.to_a}
- !ruby/object:RI::Constant 
  comment: 
  name: To_s
  value: proc {|x|x.to_s}
- !ruby/object:RI::Constant 
  comment: 
  name: To_i
  value: proc {|x|x.to_i}
- !ruby/object:RI::Constant 
  comment: 
  name: To_sym
  value: proc {|x|x.to_sym}
- !ruby/object:RI::Constant 
  comment: 
  name: To_f
  value: proc {|x|x.to_f}
full_name: RParsec::Functors
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: compose
- !ruby/object:RI::MethodSummary 
  name: const
- !ruby/object:RI::MethodSummary 
  name: curry
- !ruby/object:RI::MethodSummary 
  name: flip
- !ruby/object:RI::MethodSummary 
  name: nth
- !ruby/object:RI::MethodSummary 
  name: power
- !ruby/object:RI::MethodSummary 
  name: repeat
- !ruby/object:RI::MethodSummary 
  name: reverse_curry
- !ruby/object:RI::MethodSummary 
  name: reverse_uncurry
- !ruby/object:RI::MethodSummary 
  name: uncurry
name: Functors
superclass: 
